DEV_GET_BY_INDEX(9)

NAME
dev_get_by_index - find a device by its ifindex

SYNOPSIS

struct net_device * dev_get_by_index (int ifindex);

ARGUMENTS

ifindex
    index of device

DESCRIPTION

Search for an interface by index. Returns NULL if the device is not found or a pointer to the device. The device returned has had a reference added and the pointer is safe until the user calls dev_put to indicate they have finished with it.